---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci delete`

Delete CI/CD pipelines

```plaintext
glab ci delete <id> [flags]
```

## Examples

```plaintext
glab ci delete 34
glab ci delete 12,34,2
glab ci delete --source=api
glab ci delete --status=failed
glab ci delete --older-than 24h
glab ci delete --older-than 24h --status=failed

```

## Options

```plaintext
      --dry-run               Simulate process, but do not delete anything
      --older-than duration   Filter pipelines older than the given duration. Valid units: {h|m|s|ms|us|ns}
      --page int              Page number
      --paginate              Make additional HTTP requests to fetch all pages of projects before cloning. Respects --per-page
      --per-page int          Number of items to list per page
      --source string         Filter pipelines by source: {api|chat|external|external_pull_request_event|merge_request_event|ondemand_dast_scan|ondemand_dast_validation|parent_pipeline|pipeline|push|schedule|security_orchestration_policy|trigger|web|webide}
  -s, --status string         Delete pipelines by status: {running|pending|success|failed|canceled|skipped|created|manual}
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
